QGIS Application - Bug report #1661
Importing a void shapefile created with ftools crashes Qgis
2009-04-29 03:57 AM - vince -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11721
Description

If | use ftools to compute the intersection of two layers, and that intersection is void (therefore a void shapefile is created), Qgis crashes
(to be more specific, it enters into an infinite loop, | must kill it to exit).

On the console | get the following messages:

Warning: [[QgsCoordinateReferenceSystem]]::getRecord failed : select * from tbl_srs where parameters="+proj=Icc +lat_1=46.8
+lat_0=46.8 +lon_0=0 +k_0=0.99987742 +x_0=600000 +y_0=2200000 +a=6378249.2 +b=6356515 +pm=2.3372291666985 +units=m
+no_defs'

Warning: [[QgsCoordinateReferenceSystem]]::findMatchingProj will only work if prj acr ellipsoid acr and proj4string are set!...

History

#1 - 2009-07-11 04:46 AM - Giovanni Manghi

| cannot replicate the problem with qgis 1.2 from trunk under both linux and windows. Please give it a try again with the latest version of qgis and of ftools
plugin and report back.

#2 - 2009-07-17 06:25 AM - Giovanni Manghi
- Resolution set to fixed

- Status changed from Open to Closed

Closing for lack of feedback and because seems to work, at least with the latest versions of qgis and of the plugin. Reopen if necessary.
